# ej2-filemanager

The `File Manager` is a graphical user interface component used to manage the file system. It enables the user to perform common file operations such as accessing, editing, uploading, downloading, and sorting files and folders. This component also allows easy navigation for browsing or selecting a file or folder from the file system.

![ej2-file-manager](https://ej2.syncfusion.com/products/images/file-manager/readme.gif)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's [EULA](https://www.syncfusion.com/eula/es/). To acquire a license, you can purchase one at [https://www.syncfusion.com/sales/products](https://www.syncfusion.com/sales/products) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials).

> A free [community license](https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install `FileManager` and its dependent packages, use the following command.

```sh
npm install @syncfusion/ej2-filemanager
```

## Components included

Following list of components are available in the package

* File Manager - performs common file operations such as accessing, editing, upload, download and sorting files and folders. This component also allows easy navigation for browsing or selecting a file or folder from the file system.

  * [Getting Started](https://ej2.syncfusion.com/documentation/file-manager/getting-started/?lang=typescript&utm_source=npm&utm_campaign=filemanager)
  * [API References]( https://ej2.syncfusion.com/documentation/api/file-manager?lang=typescript&utm_source=npm&utm_campaign=filemanager)
  * [View Online Demos](https://ej2.syncfusion.com/demos/?utm_source=npm&utm_campaign=filemanager#/material/file-manager/overview.html)
  * [Product Page](https://www.syncfusion.com/javascript-ui-controls/js-file-manager)


## Supported Frameworks

`File Manager` component is also offered in following list of frameworks,

1. [Angular](https://github.com/syncfusion/ej2-angular-ui-components/tree/master/components/filemanager?utm_source=npm&utm_campaign=filemanager)
2. [React](https://github.com/syncfusion/ej2-react-ui-components/tree/master/components/filemanager?utm_source=npm&utm_campaign=filemanager)
3. [VueJS](https://github.com/syncfusion/ej2-vue-ui-components/tree/master/components/filemanager?utm_source=npm&utm_campaign=filemanager)
4. [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls/file-manager)
5. [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls/file-manager)
6. [JavaScript (ES5)](https://www.syncfusion.com/javascript-ui-controls/js-file-manager)

## Key Features

* File Manager
 
   * **Different Views** - Provides detailed and large icon views.
   * **Context menu support** - Provides detailed and large icon views.
   * **Custom toolbar support** - Customize the toolbar to provide only necessary features.
   * **Multiple file selection** - Select multiple files simultaneously.
   * **Accessibility** - Features built-in accessibility support that makes all features accessible through keyboard interaction, screen readers, or other assistive technology devices.
   * **Localization** - Translate file names to any supported language.

## Support

Product support is available for through following mediums.

* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_campaign=filemanager) support system or [Community forum](https://www.syncfusion.com/forums/essential-js2?utm_source=npm&utm_campaign=filemanager).
* New [GitHub issue](https://github.com/syncfusion/ej2-javascript-ui-controls/issues/new).
* Ask your query in [Stack Overflow](https://stackoverflow.com/?utm_source=npm&utm_campaign=filemanager) with tag `syncfusion` and `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2-javascript-ui-controls/blob/master/license?utm_source=npm&utm_campaign=filemanager).

## Changelog

Check the changelog [here]( https://github.com/syncfusion/ej2-javascript-ui-controls/blob/master/controls/filemanager/CHANGELOG.md?utm_source=npm&utm_campaign=filemanager)

© Copyright 2022 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.